import { tryCatch } from "../../../../../globalUtils/tryCatch.js";
import { query } from "../../../../sqlServer/prodSqlServer.js";
import { ppooQuery } from "../../../../sqlServer/querys/warehouse/ppooQuery.js";

export const getPPOO = async () => {
    const { data, error } = await tryCatch(query(ppooQuery, "Get PPOO"));

    const ppoo: any = data as any;
    if (error) {
        return { success: false, message: "Error getting ppoo", data: error };
    }

    return {
        success: true,
        message: "Current pallets in PPOO.",
        data: ppoo.data,
    };
};
